Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0037700
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] A. Platformmajoralways2018-01-22 17:592018-02-22 18:18
ReportergorkaionView Statuspublic 
Assigned Tojarmendariz 
PriorityurgentResolutionfixedFixed in Version3.0PR18Q2
StatusclosedFix in branchFixed in SCM revision7afc62cc7b3c
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Tocaristu
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0037700: Link To Parent trees hide isActive false records

DescriptionOn a tab configured with a Tree Structure "Link To Parent" records with IsActive=false are hidden when tree view is enabled. Those records are visible in normal grid view.
Steps To Reproduce1 As Openbravo Admin go to Cost Adjustment window and check if there is any with several lines.

2 If there is no cost adjustment, go to Product window and select a Stocked Item with some transactions. If there are cost adjustments pick one and go to step 6.
-- Cerveza Lager
3 Go to Transactions Tab and chose a receipt transaction that has had some shipments and receipts after it.
-- Receipt Line: 10000419 - 11-04-2017 - Bebidas Alegres, S.L. - 20 - Cerveza...
4 Click on Manual Cost Adjustemnt Button and set
-- Amount 200000
-- Incremental true
-- Unit cost false
5 Go back to cost adjustment window and check that there is one now

6 On the lines tab open the tree mode and check that all the lines are visible
7 Pick one child line and in database set the isActive column to N.
8 Refresh the lines tab and check that the line is missing in the Tree mode.
TagsNo tags attached.
Attached Filespatch file icon bug-37700.patch [^] (9,765 bytes) 2018-01-25 17:00 [Show Content]

- Relationships Relation Graph ] Dependency Graph ]
related to defect 00381003.0PR18Q3 closedjarmendariz Link To Parent trees hide isActive=false records when a filter is set 

-  Notes
(0102100)
hgbot (developer)
2018-02-01 09:12

Repository: erp/devel/pi
Changeset: 7afc62cc7b3cccea9fcfee0f1545bbb33fe490a7
Author: Javier Armendáriz <javier.armendariz <at> openbravo.com>
Date: Thu Jan 25 16:58:29 2018 +0100
URL: http://code.openbravo.com/erp/devel/pi/rev/7afc62cc7b3cccea9fcfee0f1545bbb33fe490a7 [^]

Fixed bug 37700: Link to parent trees does not show non active items.

OBQuery by default filters non active fields. Needed to override this behavior on LinkToParentTreeDatasource to show all items in the tree view.

---
M modules/org.openbravo.service.datasource/src/org/openbravo/service/datasource/LinkToParentTreeDatasourceService.java
M src-test/src/org/openbravo/test/AllWebserviceTests.java
A src-test/src/org/openbravo/test/datasource/LinkToParentTreeDataSourceTest.java
---
(0102101)
hgbot (developer)
2018-02-01 09:29

Repository: erp/devel/pi
Changeset: 3d1afcc48df94dd0c133e52d72e0c2f2a89991f8
Author: Javier Armendáriz <javier.armendariz <at> openbravo.com>
Date: Thu Feb 01 09:28:45 2018 +0100
URL: http://code.openbravo.com/erp/devel/pi/rev/3d1afcc48df94dd0c133e52d72e0c2f2a89991f8 [^]

Related to bug 37700: Updated copyright years

---
M src-test/src/org/openbravo/test/AllWebserviceTests.java
M src-test/src/org/openbravo/test/datasource/LinkToParentTreeDataSourceTest.java
---
(0102118)
caristu (developer)
2018-02-01 13:56

Reopened, inactive child records are still not being displayed. See: https://docs.google.com/spreadsheets/d/18l2biKWeG6iGDIPqO6VuYQ_TtP_6YxyQU4KSrPvQlJ8/edit#gid=0 [^]
(0102129)
hgbot (developer)
2018-02-02 08:53

Repository: erp/devel/pi
Changeset: f595982b782e93ed7d6916136dbef18259e4baad
Author: Javier Armendáriz <javier.armendariz <at> openbravo.com>
Date: Fri Feb 02 08:50:27 2018 +0100
URL: http://code.openbravo.com/erp/devel/pi/rev/f595982b782e93ed7d6916136dbef18259e4baad [^]

Related to bug 37700.

Added a test case where a node has a single non-active children. The parent node should have the _hasChildren field set as true.

---
M modules/org.openbravo.service.datasource/src/org/openbravo/service/datasource/LinkToParentTreeDatasourceService.java
M src-test/src/org/openbravo/test/datasource/LinkToParentTreeDataSourceTest.java
---
(0102150)
hgbot (developer)
2018-02-02 11:43

Repository: erp/devel/pi
Changeset: 1cb95f1f4e4defe7c2fcb40809deb5a4d73e787e
Author: Carlos Aristu <carlos.aristu <at> openbravo.com>
Date: Fri Feb 02 11:38:24 2018 +0100
URL: http://code.openbravo.com/erp/devel/pi/rev/1cb95f1f4e4defe7c2fcb40809deb5a4d73e787e [^]

related to issue 37700: code review improvements in test case

 - Use admin mode to create/remove data with the CostAdjustmentTestDataHelper
 - Use getProxy() to set the document type

---
M src-test/src/org/openbravo/test/datasource/LinkToParentTreeDataSourceTest.java
---
(0102151)
caristu (developer)
2018-02-02 11:45

Code reviewed + tested OK.
(0102701)
hudsonbot (developer)
2018-02-22 18:18

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/980a6ad5bbf5 [^]
Maturity status: Test
(0102702)
hudsonbot (developer)
2018-02-22 18:18

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/980a6ad5bbf5 [^]
Maturity status: Test
(0102708)
hudsonbot (developer)
2018-02-22 18:18

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/980a6ad5bbf5 [^]
Maturity status: Test
(0102712)
hudsonbot (developer)
2018-02-22 18:18

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/980a6ad5bbf5 [^]
Maturity status: Test

- Issue History
Date Modified Username Field Change
2018-01-22 17:59 gorkaion New Issue
2018-01-22 17:59 gorkaion Assigned To => platform
2018-01-22 17:59 gorkaion Modules => Core
2018-01-22 17:59 gorkaion Triggers an Emergency Pack => No
2018-01-23 13:43 caristu Assigned To platform => caristu
2018-01-23 13:43 caristu Assigned To caristu => jarmendariz
2018-01-23 13:43 caristu Status new => acknowledged
2018-01-24 16:42 jarmendariz Status acknowledged => scheduled
2018-01-25 17:00 jarmendariz File Added: bug-37700.patch
2018-01-25 17:03 jarmendariz Review Assigned To => caristu
2018-02-01 09:12 hgbot Checkin
2018-02-01 09:12 hgbot Note Added: 0102100
2018-02-01 09:12 hgbot Status scheduled => resolved
2018-02-01 09:12 hgbot Resolution open => fixed
2018-02-01 09:12 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/7afc62cc7b3cccea9fcfee0f1545bbb33fe490a7 [^]
2018-02-01 09:29 hgbot Checkin
2018-02-01 09:29 hgbot Note Added: 0102101
2018-02-01 13:56 caristu Note Added: 0102118
2018-02-01 13:56 caristu Status resolved => new
2018-02-01 13:56 caristu Resolution fixed => open
2018-02-02 08:53 hgbot Checkin
2018-02-02 08:53 hgbot Note Added: 0102129
2018-02-02 10:10 jarmendariz Status new => scheduled
2018-02-02 11:43 hgbot Checkin
2018-02-02 11:43 hgbot Note Added: 0102150
2018-02-02 11:44 caristu Status scheduled => resolved
2018-02-02 11:44 caristu Resolution open => fixed
2018-02-02 11:45 caristu Note Added: 0102151
2018-02-02 11:45 caristu Status resolved => closed
2018-02-02 11:45 caristu Fixed in Version => 3.0PR18Q2
2018-02-22 18:18 hudsonbot Checkin
2018-02-22 18:18 hudsonbot Note Added: 0102701
2018-02-22 18:18 hudsonbot Checkin
2018-02-22 18:18 hudsonbot Note Added: 0102702
2018-02-22 18:18 hudsonbot Checkin
2018-02-22 18:18 hudsonbot Note Added: 0102708
2018-02-22 18:18 hudsonbot Checkin
2018-02-22 18:18 hudsonbot Note Added: 0102712
2018-03-12 12:17 JONHM Relationship added related to 0038100


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker